Package com.mockobjects.jms

# Class MockTopicSubscriber

java.lang.Object
com.mockobjects.MockObject
com.mockobjects.jms.MockMessageConsumer
com.mockobjects.jms.MockTopicSubscriber

All Implemented Interfaces:
  `Verifiable`

public class MockTopicSubscriber extends MockMessageConsumer

## Constructor Summary

Constructors
Constructor
Description
`MockTopicSubscriber()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getNoLocal()`
`Topic`
`getTopic()`

### Methods inherited from class com.mockobjects.jms.MockMessageConsumer

`close, getMessageListener, getMessageSelector, receive, receive, receiveNoWait, setExpectedCloseCalls, setExpectedMessageListener, setExpectedReceiveCalls, setExpectedTimeout, setMessageListener, setupExpiresOnTimeout, setupReceivedMessage, setupThrowException`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockTopicSubscriber

public MockTopicSubscriber()

## Method Details

### getNoLocal

public boolean getNoLocal() throws JMSException

Throws:
  `JMSException`

### getTopic

public Topic getTopic() throws JMSException

Throws:
  `JMSException`